Topic
  • 6 replies
  • Latest Post - ‏2013-03-04T11:47:14Z by SystemAdmin
SystemAdmin
SystemAdmin
902 Posts

Pinned topic Adobe Reader/Acrobat for Mac: Incorrect Relevance - very bad

‏2013-02-26T16:56:43Z |
The following fixlets have two incorrect relevance clauses:
Published 2/24/2013:
  • Adobe Reader X (10.1.6) Available - Adobe Reader 10.1.5 - Mac OS X(ID:10000021)
  • Adobe Reader 11.0.02 Available - Adobe Reader 11.0.01 - Mac OS X(ID:10000023)
  • Adobe Acrobat 11.0.02 Available - Adobe Acrobat 11.0.01 - Mac OS X(ID:10000024)
  • Adobe Acrobat X (10.1.6) Available - Adobe Acrobat 10.1.5 - Mac OS X(ID:10000026)
Published 1/13/2013:
  • Adobe Reader X (10.1.5) Available - Adobe Reader (10.x) - Mac OS X (ID: 10000017)
  • Adobe Reader X (11.0.01) Available - Adobe Reader (11.x) - Mac OS X (ID: 10000019)
  • Adobe Acrobat X (10.1.5) Available - Adobe Acrobat (10.x) - Mac OS X (ID: 10000020)
  • Adobe Acrobat X (11.0.01) Available - Adobe Acrobat (11.x) - Mac OS X (ID: 10000022)
False negative:
  • exists application "Safari.app" whose ((version of it as string) starts with "4" OR (version of it as string) starts with "5")
Safari is not needed and is currently on version 6 for 10.7+ systems.
I suggest removing this relevance clause altogether as it is not needed.
Note: this false negative dates back to July 25 2012 (safari 6 release date).
False positive:
  • exists application "Adobe Reader.app" whose (exists (version of it >= "10.0" as version AND version of it < " as version) )
The second "exists" clause will always return true, because both exists(false) and exists(true) is true.
Remove the extra "exists(" ")" clause, underlined above, around the correct relevance.
-Brian
  • SystemAdmin
    SystemAdmin
    902 Posts

    Re: Adobe Reader/Acrobat for Mac: Incorrect Relevance - very bad

    ‏2013-02-27T11:47:05Z  
    Hi Brian,

    We are looking into the issues. We will republish the fixlets soon.

    For the false positive issue:

    Removing the extra "exists" clause will solve the problem if the endpoint has only one version of Adobe Reader installed.

    You can try the following relevance for false positive issue:
    exists (versions of applications whose (name of it = "Adobe Reader.app")) whose (it >= "11.0.1" AND it < ")

    Reards,
    Soum
  • SystemAdmin
    SystemAdmin
    902 Posts

    Re: Adobe Reader/Acrobat for Mac: Incorrect Relevance - very bad

    ‏2013-02-27T12:04:14Z  
    Re posting the relevance as earlier one has formatting issue

    You can try the following relevance for false positive issue:
    exists (version of applications whose (name of it = "Adobe Reader.app")) whose (it >= ''11.0.1'' AND it < ''11.0.2'')
  • SystemAdmin
    SystemAdmin
    902 Posts

    Re: Adobe Reader/Acrobat for Mac: Incorrect Relevance - very bad

    ‏2013-02-27T14:57:11Z  
    Re posting the relevance as earlier one has formatting issue

    You can try the following relevance for false positive issue:
    exists (version of applications whose (name of it = "Adobe Reader.app")) whose (it >= ''11.0.1'' AND it < ''11.0.2'')
    I think a simple assumption that one version of the application is installed would suffice... (Reader & Pro are different applications). If that's not the case then you would have to rewrite the action script installer section to point to each installation.

    Maybe you could add a "multiple versions of Adobe reader installed" fixlet as that would be more appropriate for the customer base & it would be inline with current practices. This would allow you to more quickly publish the fixed original fixlets and would serve 99% of us now.
  • SystemAdmin
    SystemAdmin
    902 Posts

    Re: Adobe Reader/Acrobat for Mac: Incorrect Relevance - very bad

    ‏2013-02-27T15:40:10Z  
    I think a simple assumption that one version of the application is installed would suffice... (Reader & Pro are different applications). If that's not the case then you would have to rewrite the action script installer section to point to each installation.

    Maybe you could add a "multiple versions of Adobe reader installed" fixlet as that would be more appropriate for the customer base & it would be inline with current practices. This would allow you to more quickly publish the fixed original fixlets and would serve 99% of us now.
    Thanks for the feedback.
  • SystemAdmin
    SystemAdmin
    902 Posts

    Re: Adobe Reader/Acrobat for Mac: Incorrect Relevance - very bad

    ‏2013-03-01T20:27:01Z  
    Thanks for the feedback.
    Looks like IBM failed at fixing all of the fixlets... I do see that the fixlets were republished. Although there was no mention of the false negative or the false positive...

    There is still a false negative for the following fixlets!
    (ID: *10000001*)
    (ID: *10000019*)
    (ID: *10000021*)

    False negative line:
    • exists application "Safari.app" whose ((version of it as string) starts with "4" OR (version of it as string) starts with "5")
    <quote>
    Republished Fixlet Messages:
    • Adobe Reader X (10.1.5) Available - Adobe Reader (10.x) - Mac OS X (ID: 10000017)
    • Adobe Reader 11.0.01 Available - Adobe Reader (11.x) - Mac OS X (ID: *10000019*)
    • Adobe Acrobat X (10.1.5) Available - Adobe Acrobat (10.x) - Mac OS X (ID: 10000020)
    • Adobe Reader X (10.1.6) Available - Adobe Reader 10.1.5 - Mac OS X (ID: *10000021*)
    • Adobe Acrobat 11.0.01 Available - Adobe Acrobat (11.x) - Mac OS X (ID: 10000022)
    • Adobe Reader 11.0.02 Available - Adobe Reader 11.0.01 - Mac OS X (ID: 10000023)
    • Adobe Acrobat 11.0.02 Available - Adobe Acrobat 11.0.01 - Mac OS X (ID: 10000024)
    • Adobe Acrobat X (10.1.6) Available - Adobe Acrobat 10.1.5 - Mac OS X (ID: 10000026)
    • Adobe Reader X (10.1.0) Available - Mac OS X (ID: *10000001*)

    Published site version:
    Updates for Mac Applications, version 32.

    Reasons for Update:
    • Adobe released newer versions of Flash Player which contains security issue fixes.
    • Bug fixes for Adobe Reader/Acrobat.
    </quote>
  • SystemAdmin
    SystemAdmin
    902 Posts

    Re: Adobe Reader/Acrobat for Mac: Incorrect Relevance - very bad

    ‏2013-03-04T11:47:14Z  
    Looks like IBM failed at fixing all of the fixlets... I do see that the fixlets were republished. Although there was no mention of the false negative or the false positive...

    There is still a false negative for the following fixlets!
    (ID: *10000001*)
    (ID: *10000019*)
    (ID: *10000021*)

    False negative line:
    • exists application "Safari.app" whose ((version of it as string) starts with "4" OR (version of it as string) starts with "5")
    <quote>
    Republished Fixlet Messages:
    • Adobe Reader X (10.1.5) Available - Adobe Reader (10.x) - Mac OS X (ID: 10000017)
    • Adobe Reader 11.0.01 Available - Adobe Reader (11.x) - Mac OS X (ID: *10000019*)
    • Adobe Acrobat X (10.1.5) Available - Adobe Acrobat (10.x) - Mac OS X (ID: 10000020)
    • Adobe Reader X (10.1.6) Available - Adobe Reader 10.1.5 - Mac OS X (ID: *10000021*)
    • Adobe Acrobat 11.0.01 Available - Adobe Acrobat (11.x) - Mac OS X (ID: 10000022)
    • Adobe Reader 11.0.02 Available - Adobe Reader 11.0.01 - Mac OS X (ID: 10000023)
    • Adobe Acrobat 11.0.02 Available - Adobe Acrobat 11.0.01 - Mac OS X (ID: 10000024)
    • Adobe Acrobat X (10.1.6) Available - Adobe Acrobat 10.1.5 - Mac OS X (ID: 10000026)
    • Adobe Reader X (10.1.0) Available - Mac OS X (ID: *10000001*)

    Published site version:
    Updates for Mac Applications, version 32.

    Reasons for Update:
    • Adobe released newer versions of Flash Player which contains security issue fixes.
    • Bug fixes for Adobe Reader/Acrobat.
    </quote>
    Content has been republished.
    Republished Fixlet Messages:
    • Adobe Reader 11.0.01 Available - Adobe Reader (11.x) - Mac OS X (ID: 10000019)
    • Adobe Reader X (10.1.6) Available - Adobe Reader 10.1.5 - Mac OS X (ID: 10000021)
    • Adobe Reader X (10.1.0) Available - Mac OS X (ID: 10000001)

    Published site version:
    Updates for Mac Applications, version 33.